libfann-devel-2.2.0-8.1.x86_64.rpm


Advertisement

Description

libfann-devel - Development package for fann, an artificial neural network library

Property Value
Distribution openSUSE Leap 42.3
Repository PHP Extensions all
Package name libfann-devel
Package version 2.2.0
Package release 8.1
Package architecture x86_64
Package type rpm
Installed size 287.41 KB
Download size 49.52 KB
Official Mirror widehat.opensuse.org
FANN is a neural network library which implements multilayer
artificial neural networks in C with support for both fully connected
and sparsely connected networks.
This subpackage contains the headers for FANN.

Alternatives

Package Version Architecture Repository
libfann-devel-2.2.0-1.2.x86_64.rpm 2.2.0 x86_64 openSUSE Oss
libfann-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
glibc devel
libfann2 = 2.2.0
libstdc++-devel -

Provides

Name Value
fann-devel = 2.2.0
libfann-devel = 2.2.0-8.1
libfann-devel(x86-64) = 2.2.0-8.1
pkgconfig(fann) = 2.2.0

Obsoletes

Name Value
fann-devel <= 2.1.0.snap20070429

Download

Type URL
Binary Package libfann-devel-2.2.0-8.1.x86_64.rpm
Source Package fann-2.2.0-8.1.src.rpm

Install Howto

  1. Add the PHP Extensions repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/server:/php:/extensions/openSUSE_Leap_42.3/ php-extensions
  2. Install libfann-devel rpm package:
    # zypper install libfann-devel

Files

Path
/usr/include/compat_time.h
/usr/include/doublefann.h
/usr/include/fann.h
/usr/include/fann_activation.h
/usr/include/fann_cascade.h
/usr/include/fann_cpp.h
/usr/include/fann_data.h
/usr/include/fann_error.h
/usr/include/fann_internal.h
/usr/include/fann_io.h
/usr/include/fann_train.h
/usr/include/fixedfann.h
/usr/include/floatfann.h
/usr/lib64/libdoublefann.so
/usr/lib64/libfann.so
/usr/lib64/libfixedfann.so
/usr/lib64/libfloatfann.so
/usr/lib64/pkgconfig/fann.pc
/usr/share/doc/packages/libfann-devel/COPYING.txt
/usr/share/doc/packages/libfann-devel/README.txt

Changelog

2016-10-22 - jengelh@inai.de
- Update descriptions, summaries and license field
2015-11-03 - rpm@fthiessen.de
- Fixed spec file:
* Use cmake macro
* Some cleanup
* Updated URL (new website)
- Added fix-cmake-link-libraries.patch to fix build.
* This will add libm to the linker flags and install pkgconfig
file in lib(64)/pkgconfig
2015-05-27 - coolo@suse.com
- update to 2.2
Added Sarprop training
Added fann_create_train for creating an empty training data struct
Added fann_copy for copying an ANN
Added cascade_min_out_epochs and cascade_min_cand_epochs to improve cascade training
Added extra checks when training, to ensure that data and network input and output sizes matches
Added Visual Studio 2010 solution
Added support for 64bit architecture
Cleanup in sources
2012-02-05 - jengelh@medozas.de
- Remove redundant tags/sections
- Parallel build with %_smp_mflags
- Add autotools BuildRequires for factory/12.2
- Ensure pkgconfig symbols are provided
2007-06-04 - judas_iscariote@shorewall.net
-adapt to the new library package policy as well.
2007-04-17 - judas_iscariote@shorewall.net
- update to version fann-2.1.0.snap20070416 solving several problems
see the vendor site for more info.

See Also

Package Description
libfann2-2.2.0-8.1.x86_64.rpm Fast artificial neural network library
php5-bbcode-1.0.3-4.1.x86_64.rpm BBCode Parsing Extension
php5-big_int-1.0.7-7.1.x86_64.rpm Calculations with Arbitrary Length Integers and Bitsets
php5-bitset-2.0.1-2.1.x86_64.rpm Sets of bits manipulating library
php5-dbus-0.1.1-3.1.x86_64.rpm Extension for interaction with DBUS busses
php5-doublemetaphone-1.0.1-2.1.x86_64.rpm Double Metaphone Algorithm
php5-fann-1.0.7-2.1.x86_64.rpm Fann Artificial Neural Networks Extension
php5-geoip-1.1.0-3.1.x86_64.rpm PHP module for MaxMind GeoIP libraries
php5-gnupg-1.3.6-2.1.x86_64.rpm PHP wrapper around the gpgme library
php5-gtk-2.0.1-2.1.x86_64.rpm PHP bindings for GTK2
php5-gtk-devel-2.0.1-2.1.x86_64.rpm PHP bindings for GTK2
php5-haru-1.0.4-2.1.x86_64.rpm Create PDF Documents Using the Haru Free PDF Library
php5-igbinary-1.2.1-2.1.x86_64.rpm Replacement for the Standard PHP Serializer
php5-imagick-3.4.1-1.1.x86_64.rpm Wrapper to the ImageMagick/GraphicsMagick library
php5-imagick-devel-3.4.1-1.1.x86_64.rpm Header files for imagick development
Advertisement
Advertisement